Jump to content

Recommended Posts

B.N.

Hello,

 

I've been asked to make facade views from a survey in 3D.

I have the house in 3d lines and i would like to extract the front-, left-, right- & back view of the facade.

i used to do this by redrawing in an other file, but there has to be an easy way to "extract" that view.

Knipsel_3.jpg

1245337672_3dhouse.dxf

Link to post
Share on other sites
ReMark

2D views are normally extracted, by various methods, from 3D models and not 3D lines.

Link to post
Share on other sites
B.N.
12 minutes ago, ReMark said:

2D views are normally extracted, by various methods, from 3D models and not 3D lines.

If you go on site with a total station, you can only measure in points, lines and 3d polylines.

 

Link to post
Share on other sites
Dadgad

If you look in TOP view you will notice there are some issues.

 I  ROTATED your linework  in TOP view using the commandline Reference option, to square it up to the UCS.

Then I used the VPORTS command to create 4 equal viewports.

I went into each of them and set a different orthogonal view.

It ain't perfect, but it might get you started pretty well.

Probably a good idea to first address what I take to be some problems, which jump right out at you in TOP view.

I hope that helps.

 

 

image.png

Link to post
Share on other sites
B.N.
1 hour ago, Dadgad said:

If you look in TOP view you will notice there are some issues.

 I  ROTATED your linework  in TOP view using the commandline Reference option, to square it up to the UCS.

Then I used the VPORTS command to create 4 equal viewports.

I went into each of them and set a different orthogonal view.

It ain't perfect, but it might get you started pretty well.

Probably a good idea to first address what I take to be some problems, which jump right out at you in TOP view.

I hope that helps.

 

 

image.png

The issues you refer to, might be because it's an old building, not straight at all. 

Your solution with the viewports has come to mind, but i don't know how to align the viewports as straight as you did.

Can you give me some guidance there? 😛 thanksjss

Link to post
Share on other sites
eldon

I, however, usually rotate the plan to give one face that is orthogonal. Copy it three times, rotating it by 90 degrees each time. Then rotate3d to give elevations in each direction. I do this because I prefer to work in plan view, and each elevation does not need to see the detail from the other faces.

 

When you rotate by reference, choose the base point at one end of a line, specify R for reference, specify the reference angle by choosing the first point again, then choose the other end of you line as the second point, then if you activate Ortho, when you have to choose the new angle, you can see the proper angle and merely click to choose that angle.

 

 

 

House elevations.PNG

  • Like 2
Link to post
Share on other sites
BIGAL
Posted (edited)

Ok some more big hints, thickness for walls, pface for roofs, same for gable wall ends. Think more 2 1/2D. This was done in  a cheap house package, its like 30 years old, if interested PM me. Yes does the elevations as previously suggested in a layout, look at Vpoint. -vpoint 1,1,1  

 

(if (= look "R")(command-s "-vpoint" "1,0,0"))
(if (= look "L")(command-s "-vpoint" "-1,0,0"))
(if (= look "F")(command-s "-vpoint" "0,-1,0"))
(if (= look "B")(command-s "-vpoint" "0,1,0"))
(if (= look "P")(command-s "-vpoint" "0,0,1"))

 

There is a good lisp for roofs, "2droof-final-new.lsp" search here.

screenshot61.png

screenshot393.png

 

Had a look at dwg and pretty sure this could help 
 

CA5SLWAL.LSP:;;;  erases a wall line and replaces with a 3dface with different slopes

; program starts here
(setq tp1 (entsel "\nSelect wall near left end : "))
(setq wa_ht1 (getint "\nEnter 1st wall ht "))
(setq wa_ht2 (getint "\nEnter 2nd wall ht "))
 rest of code copyright

 

Edited by BIGAL
  • Like 1
Link to post
Share on other sites
BIGAL
Posted (edited)

A simple way to make facades, note if want as solid ie a wall so hide works then make a pline and add a pface or 3dface then rotate3D vey simple.

 

image.thumb.png.d784bda32244c13f6a0b94826c50343f.png

 

Can do windows and doors as line work just use the trick of they are 1mm off the wall so recognised in a 3d view and when hide is used.

Edited by BIGAL
Link to post
Share on other sites
Dadgad
11 hours ago, eldon said:

I, however, usually rotate the plan to give one face that is orthogonal. Copy it three times, rotating it by 90 degrees each time. Then rotate3d to give elevations in each direction. I do this because I prefer to work in plan view, and each elevation does not need to see the detail from the other faces.

 

When you rotate by reference, choose the base point at one end of a line, specify R for reference, specify the reference angle by choosing the first point again, then choose the other end of you line as the second point, then if you activate Ortho, when you have to choose the new angle, you can see the proper angle and merely click to choose that angle.

 

 

 

House elevations.PNG

Thanks Eldon, I am way too busy today to do this, although I wanted to help

late on a Sunday night.  I concur with your approach, much nicer to create the 4 views in one UCS as you suggested.  :beer:

Link to post
Share on other sites
  • 4 weeks later...
OMEGA-ThundeR

Can't you 'just' -sollidify-  the house?  Couldn't be that hard to EXTRUDE or use LOFT command to make the solids.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...